#ifndef COLLABCONFIG_H
#define COLLABCONFIG_H
/*  Configuration parameters needed by the collaborative interface system. You
    must recompile your news reader after changing any of these parameters.  See 
    the instructions for building your news reader.
     by Dave Maltz 10/93

  history:
  10/25/93 created

*/

/********* Configuration Section ********/
/* You will need to change the #defines listed below so that the interface works
   for your system.
*/

/*
 * Somewhere in the code must be definition of the procedure issue_error
 * which takes care of notifing the user when bad things happen inside
 * the collaborative interface.
 * if you define PROVIDE_ISSUE_ERROR, then the collab interface will
 * provide a defintion of issue_error that prints to stderr
 * if you want to provide your own, issue_error takes arguments in
 * the same form as printf (uses varargs )
 */
#define PROVIDE_ISSUE_ERROR

/*
 * if you can open a tcp connection to your vote server, define
 * TCP_COMM, if you can't, define MAIL_VOTES
 * WHATEVER YOU DO - ONLY DEFINE ONE OF THEM!!!
 */
#undef MAIL_VOTES
#define TCP_COMM

/****************************************************************
 **      If you picked TCP_COMM, fill out the section below    **
 ****************************************************************/
#if defined(TCP_COMM)

/***** define only one of VOTE_SERVER and VOTE_SERVER_DQ *****/
/* 
 * if your system supports gethostbyname() then you can 
 * provide just the name of the machine the vote server lives on
 */
#define VOTE_SERVER "sandbox.xerox.com"

/* 
 * if you don't have gethostbyname(), or your DNS is broken, then
 * fill out the internet address of your vote server
 * provide the inet address of the vote server in dotted quad notation 
 * with out the dots and in hex: eg: 13.2.117.9 => 0x0D027509
 */
#undef VOTE_SERVER_DQ 0xC0D83601

/* 
 * what port is the vote server programmed to listen to?
 */
#define VOTE_SERVER_PORT 3636

#endif /* ifdef TCP_COMM */


/****************************************************************
 **      If you picked MAIL_VOTES, fill out the section below    **
 ****************************************************************/
#if defined(MAIL_VOTES)

/* define VOTE_MAIL to be a program that takes a message on stdin with the to:
   field defined in the message.  on most systems this will be
   "/usr/lib/sendmail -t"
*/
#define VOTE_MAILER "/usr/lib/sendmail -t"
#endif /*ifdef MAIL_VOTES */



#endif /* ifndef COLLABCONFIG_H */






