#ifndef COLLABDATA_H
#define COLLABDATA_H

/* routines for working with the data abstractions in the collaborative interface
     by Dave Maltz

 history:
 10/25/93 created

*/
#include "colinterface.h"

/* take a vote and turn it into a character string (return 1 if successful)
   args: buffer for answer and the length of the buffer
         the vote to be parsed and a loc for the length of the string 
	 (size doesn't include the terminating \0) */
int collab_parse_vote_into_string(/* char *buf, int buflen, vote *vote*, int *size */);

/* take a string and parse it into a vote structure, returns NULL on failure
     *exception set to indicate extra information */
vote_t* collab_parse_vote_from_string(/* char *buf, int *exception */);

/* exceptions returned by collab_parse_vote_from_string defined in colinternal.h */

#endif /*  COLLABDATA_H */
