#ifndef COLLABTCP_H
#define COLLABTCP_H

/* collabtcp.h
     Communicate with a vote server over a tcp link
     by Dave Maltz 10/93

  history:
  10/27/93 created

*/



#define NUM_RETRIES 2   /* 10 is too long */
#define TIME_OUT_LIMIT 10 /* secs, after this length of silence from the 
			     vote server, we drop the connection */
#include "colinterface.h"

int collabtcp_send_buf(/* char *buf, int len */);
/* take the string in the buf and send the first len chars to the server */

vote_t* collabtcp_get_votes_via_tcp(/* char *group_name */);
/* return a linked list of votes present in the group_name */

char* collabtcp_get_group_list(/* int *num_groups */);
/* talk to the connected server to get a list of all the groups that have votes
   in them, return this a string with each group sepparated by \n, fill in
   num_groups with the number of groups in the list */

#endif /*  COLLABTCP_H */
