#ifndef VOTE_H
#define VOTE_H
/* Routines recording usage patterns  */
/* -dam 6/23/93 */

/* Copyright (c) 1993 Xerox Corporation.  All rights reserved.
 
   Use and copying of this software and preparation of derivative works
   based upon this software are permitted.  Any distribution of this
   software or derivative works must comply with all applicable United
   States export control laws.  This software is made available AS IS, and
   Xerox Corporation makes no warranty about the software, its performance
   or its conformity to any specification. */


#define	export			/* export variable from module */
#define import	extern		/* import variable into module */


/*   DATA_MAILER must be a path to a program that accepts mail on stdin with
 *   headers imbeded in the message
 */
#ifdef REC_MAILER
#define DATA_MAILER REC_MAILER
#else
#define DATA_MAILER "/usr/lib/sendmail -t"
#endif

typedef int vote_type;

typedef struct single_vote {   
  struct single_vote	*next_vote;
  vote_type		vote;
  char			*message_id;
  int			num_lines;
  time_t		time_spent_reading;
  time_t		time_start_reading;  /* temp for calcing time_spent_reading*/
} single_vote;

typedef	struct group_votes {
  char			*group_name;
  struct group_votes	*next_group;
  struct single_vote	*votes;
  struct single_vote	*current_vote;
  int			num_articles_unread_in_group;
  int			num_articles_read;
  time_t		time_spent_scanning;
  time_t		time_start_scanning;
  int			num_articles;
  int*			length_of_articles;   /* array[0..num_unsel_art]*/
} group_votes;

/******** exported procedures ********/
export void mon_vote_for_article();

export void mon_setup_for_new_group(/* current_group, articles, num_articles */);

export void mon_reading_art(/* article header */);

export void mon_stop_charging_scan_time();

export void mon_start_charging_scan_time();

export void mon_start_charging_time_to_article();

export void mon_stop_charging_time_to_article();

export void sign_up_a_participant();

/********* globally visable variable ********/
extern int participate_in_study;

#define HIGH_VOTE 4
#define MED_VOTE 2
#define LOW_VOTE 1
#define DEFAULT_VOTE 0
#define HATEIT_VOTE -1

#endif /* VOTE_H */

