/* vote.c
   interface for casting votes */

/* Copyright (c) 1993 Xerox Corporation.  All rights reserved.
 
   Use and copying of this software and preparation of derivative works
   based upon this software are permitted.  Any distribution of this
   software or derivative works must comply with all applicable United
   States export control laws.  This software is made available AS IS, and
   Xerox Corporation makes no warranty about the software, its performance
   or its conformity to any specification. */

#include "colinterface.h"
#include "vote.h"
#include <varargs.h>  /* for issue_error */
#include <stdio.h>

/******* program global ************/
int auto_advance_on_vote = 0; /* goto nextpage or next art after vote is entered? */
int vote_anonymously = 0;     /* vote with name or without? */
char *vote_file = NULL;       /* pathname to vote file */

/****** routines *******/

void
  vote_for_article(v, message_id, gp)
int v;
char *message_id;
char *gp;
{
  if (vote_anonymously)
    collab_enter_vote_anonymously(message_id,v,gp);
  else
    collab_enter_vote(message_id,v,gp);
}

void
  vote_send_votes()
{
  collab_send_off_votes(vote_file);
}

void
  vote_send_file_stream_to_shell_command(filestrm,command)
FILE *filestrm;
char *command;
/* command must be valid command that could be typed into sh(1) in the
   environment in which nn was started.  the filestrm will be sent to
   the command on stdin */
{
  FILE *new_stdin;
  long position;
  char c;
  
  new_stdin = popen(command,"w");
  if (new_stdin == NULL)
    {
      msg("Error in vote.c: popen failed - contact maltz@parc");
      return;
    }

  position = ftell(filestrm);	/* remember where we are in the file */
  while ((c = getc(filestrm)) != EOF)	/* copy over the file */
    putc(c,new_stdin);
  fseek(filestrm, position, 0);  /* put us back where we started in the file */
  pclose(new_stdin);
}


/*
int 
  issue_error(va_alist)
va_dcl
{
  va_list ap;

  va_start(ap);
  vmsg(ap);
  va_end(ap);

}
*/

